### Method

# Gck ObjectCache update_async

#### Declaration [src]

    void
    gck_object_cache_update_async (
      GckObjectCache* object,
      const gulong* attr_types,
      gint n_attr_types,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Update the object cache with given attributes. If an attribute already exists in the cache, it will be updated, and if it doesn’t it will be added.

This call will return immediately and complete asynchronously.

#### Parameters

`attr_types`

  Type: An array of `gulong`

  The types of attributes to update.

  The length of the array is specified in the `n_attr_types` argument.
  The data is owned by the caller of the function.

`n_attr_types`

  Type: `gint`

  The number of attribute types.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.